% CaneToads7.m
% Cane Toads simulation

% comment following command from CaneToads7.m when running multipleSimulations.m
% clear

% toad array, food and moisture grids, length of grid side
global toads food moisture NUM_STEPS FENCED;
global AWP; % for moisture grid
global NUM_TOADS MAY_HOP MAY_EAT ...
    WOULD_LIKE_DRINK NEED_TO_DRINK ...
    WOULD_LIKE_EAT ALIVE; 

init();

% x and y coordinates of paths for each toad for later visualization
rowPath = cell(1, NUM_TOADS);
colPath = cell(1, NUM_TOADS);
for i = 1:NUM_TOADS
    rowPath{i} = [toads(i).row];
    colPath{i} = [toads(i).col];
end

% lists of food grids for later visualization
foodGrids = cell(1, NUM_STEPS + 1);
foodGrids{1} = food;

for step = 1:NUM_STEPS
%     disp(['step = ',num2str(step)]);
    for i = 1:NUM_TOADS
%         disp([num2str(i), num2str(toads(i).row), num2str(toads(i).col)]);
% % % % 
%         toads(i)
        if toads(i).alive == ALIVE
            % would like to eat or thirsty so may eat
            if (toads(i).energy < WOULD_LIKE_EAT || ...
                    ((toads(i).water < WOULD_LIKE_DRINK) && (rand < MAY_EAT))) % less energy, more likely to eat 
% % % % 
%                 disp('eat');
                toads(i) = eat( toads(i) );
            end;
            
            % water available & would like to drink 
            if (moisture(toads(i).row, toads(i).col) >= AWP && toads(i).water < WOULD_LIKE_DRINK )
% % % % 
%                 disp('drink');
                toads(i) = drink( toads(i) );
            end;
        end;
    end;
           
    for i = 1:NUM_TOADS
        if toads(i).alive == ALIVE
            % may look for water or food or may hop for fun
            if (toads(i).water < NEED_TO_DRINK) % very thirsty
% % % % 
%                 disp('NEED_TO_DRINK');
                toads(i) = veryThirsty( toads(i) );
            elseif (toads(i).water < WOULD_LIKE_DRINK) % thirsty
% % % % 
%                 disp('WOULD_LIKE_DRINK');
                toads(i) = thirsty( toads(i) );
            elseif (toads(i).energy < WOULD_LIKE_EAT) % hungry
% % % % 
%                disp('WOULD_LIKE_EAT');
                toads(i) = lookForFood(toads(i));
            elseif rand < MAY_HOP
% % % % 
%                 disp('MAY_HOP');
                toads(i) = hopForFun(toads(i));
            else
% % % % 
%                 disp('sit');
                toads(i) = useWaterEnergySitting(toads(i));
            end;
            
            toads(i) = changeState(toads(i)); 
        end;

        % save toad locations for later visualization
        rowPath{i} = [rowPath{i}, toads(i).row];
        colPath{i} = [colPath{i}, toads(i).col];

    end;
    
    % save food grid for later visualiztion
    foodGrids{step + 1} = food;
end;