% CaneToadsNoGraphics7.m
% Version of CaneToads7.m cane toads simulation that does not save toad paths or food grids

% toad array, food and moisture grids, length of grid side
global toads food moisture NUM_STEPS FENCED;
global AWP; % for moisture grid
global NUM_TOADS MAY_HOP MAY_EAT ...
    WOULD_LIKE_DRINK NEED_TO_DRINK ...
    WOULD_LIKE_EAT ALIVE; 

init();

for step = 1:NUM_STEPS
    for i = 1:NUM_TOADS
        if toads(i).alive == ALIVE
            % would like to eat or thirsty so may eat
            if (toads(i).energy < WOULD_LIKE_EAT || ...
                    ((toads(i).water < WOULD_LIKE_DRINK) && (rand < MAY_EAT))) % less energy, more likely to eat 
                toads(i) = eat( toads(i) );
            end;
            
            % water available & would like to drink 
            if (moisture(toads(i).row, toads(i).col) >= AWP && toads(i).water < WOULD_LIKE_DRINK )
                toads(i) = drink( toads(i) );
            end;
        end;
    end;
           
    for i = 1:NUM_TOADS
        if toads(i).alive == ALIVE
            % may look for water or food or may hop for fun
            if (toads(i).water < NEED_TO_DRINK) % very thirsty
                toads(i) = veryThirsty( toads(i) );
            elseif (toads(i).water < WOULD_LIKE_DRINK) % thirsty
                toads(i) = thirsty( toads(i) );
            elseif (toads(i).energy < WOULD_LIKE_EAT) % hungry
                toads(i) = lookForFood(toads(i));
            elseif rand < MAY_HOP
                toads(i) = hopForFun(toads(i));
            else
                toads(i) = useWaterEnergySitting(toads(i));
            end;
            
            toads(i) = changeState(toads(i)); 
        end;

    end;
end;