function moisture = initMoisture(  )
%INITMOISTURE Initialize moisture array
%   initMoisture(  ) initializaes a SIDE-by-SIDE matrix of
%   moisture values from 0 to 1 with 0 being no moisture and initializes
%   SIDE-by-SIDE matrix fenced indicating if inside fence or not.  Assume
%   fenced areas do not overlap

global SIDE
% water/moisture values
global LIMITED MOIST_AREA AWP AWP_R1 AWP_R2;
global ROWLST_AWP COLLST_AWP ROWLST_MOISTAREA COLLST_MOISTAREA;

% limited moisture in general
moisture = LIMITED * ones(SIDE);

for i = 1:length(ROWLST_MOISTAREA)
% Uncomment next to make more moist around moist area so toad can sense moisture
%     moisture(max(2, ROWLST_MOISTAREA(i)-1):min(SIDE, ROWLST_MOISTAREA(i)+1), ...
%         max(2, COLLST_MOISTAREA(i)-1):min(SIDE, COLLST_MOISTAREA(i)+1)) = AWP_R2;
    moisture(ROWLST_MOISTAREA(i), COLLST_MOISTAREA(i)) = MOIST_AREA;
end;

% make more moist around AWP so toad can sense water
for i = 1:length(ROWLST_AWP)
    moisture(max(2, ROWLST_AWP(i)-2):min(SIDE, ROWLST_AWP(i)+2), ...
        max(2, COLLST_AWP(i)-2):min(SIDE, COLLST_AWP(i)+2)) = AWP_R2;
    moisture(max(2, ROWLST_AWP(i)-1):min(SIDE, ROWLST_AWP(i)+1), ...
        max(2, COLLST_AWP(i)-1):min(SIDE, COLLST_AWP(i)+1)) = AWP_R1;
    moisture(ROWLST_AWP(i), COLLST_AWP(i)) = AWP;
end;

% keep toad off boundary by having no moisture there by having -1 on boundary
% % Uncomment first for not allowing toad on far east or west
% % Uncomment second for not allowing toad on far east but allowing on far
% % west
% moisture(2:SIDE-1, [1 SIDE]) = -1;
moisture(2:SIDE-1, SIDE) = -1;
moisture([1 SIDE], 1:SIDE) = -1;
 
end

