function toads = initToads( )
%INITTOADS Initializes vector of toads
%   toads = initToads(  ) returns an array of structures containing
%   information about NUM_TOADS number of toads

global NUM_TOADS SIDE MEAN_WATER STD_WATER MEAN_ENERGY STD_ENERGY ALIVE;

% Water values from normal distributions with mean MEAN_WATER and   
% standard deviation STD_WATER and no values greater than 1
% Normal distribution with mean MEAN_WATER and standard deviation STD_WATER
waterValues = min(MEAN_WATER + STD_WATER*randn(1, NUM_TOADS), 1);

% Energy values from normal distributions with mean MEAN_ENERGY and   
% standard deviation STD_ENERGY and no values greater than 1
% Normal distribution with mean MEAN_ENERGY and standard deviation STD_ENERGY
energyValues = min(MEAN_ENERGY + STD_ENERGY*randn(1, NUM_TOADS), 1);

% % Uncomment next 2 lines for constant water and energy values
% waterValues = 0.7*ones(1, NUM_TOADS);
% energyValues = 0.7*ones(1, NUM_TOADS);

% toads at random along east boundary
for i = 1:NUM_TOADS
    toads(i) = struct('toadID', i, 'energy', energyValues(i), 'water', waterValues(i), 'alive', ALIVE, ...
        'row', randi([2, SIDE-1]), 'col', SIDE - 1, 'rowLast', -1, 'colLast', -1, 'numTimeSteps', 0);
end
% % Comment out above for loop and uncomment the following for testing with 1 toad
% i = 1;
% toads(i) = struct('toadID', 1, 'energy', energyValues(i), 'water', waterValues(i), 'alive', true, ...
%     'row', 5, 'col', 6, 'rowLast', 0, 'colLast', 0, 'numTimeSteps', 0);
end

