function aToad = lookForFood( aToad )
%LOOKFORFOOD A toad takes a step looking for food
%   aToad = lookForFood( aToad ) updates toad location to hop to neighbor
%   with most food

global food;
global NUM_NEIGHBORS;

% get neighbors, including current position and last place toad was
matLst = getNbrsLst( aToad, NUM_NEIGHBORS + 1, false );
rowLst = matLst(:, 1);
colLst = matLst(:, 2);

% store current cell as last position
aToad.rowLast = aToad.row;
aToad.colLast = aToad.col;

% hop to "legal" neighboring location with maximum moisture
[aToad.row aToad.col] = hopToMax(rowLst, colLst, food);

% use energy and perhaps water 
if (aToad.row == aToad.rowLast) && (aToad.col == aToad.colLast)  % toad sits
    aToad = useWaterEnergySitting(aToad);
else  % toad has moved
    aToad = useWaterEnergyHopping(aToad);
end

end

