function aToad = lookForMoisture( aToad )
%LOOKFORMOISTURE A toad takes a step looking for moisture
%   aToad = lookForMoisture( aToad ) updates toad location to hop to neighbor
%   with most moisture

global moisture NUM_NEIGHBORS;

% get neighbors, eliminating current location and last place toad was
matLst = getNbrsLst( aToad, NUM_NEIGHBORS, true );
rowLst = matLst(:, 1);
colLst = matLst(:, 2);

% store last where now as last direction
aToad.rowLast = aToad.row;
aToad.colLast = aToad.col;

% hop to maximum "legal" neighboring moisture location
[aToad.row aToad.col] = hopToMax(rowLst, colLst, moisture);

% use energy and perhaps water after a hop
aToad = useWaterEnergyHopping(aToad);

end

