function [  ] = plotFences(colLstAWP, rowLstAWP)
%PLOTFENCES Draws fences around fenced AWPs
%   plotFences(colLstAWP, rowLstAWP) draws fences around each AWP location
%   where fenced contains indices in colLstAWP and rowLstAWP for fenced locations.
% The image of the food grid is changed, up-to-down, to match display of matrices.
% Thus, food location with row 1 and column 1 displays at top left corner, 
% as it does in numeric display of the corresponding matrix.  
% For a toad's, AWP's, moist area's, and fence's locations, matrix row and 
% column corresponding to grids, such as moisture and food, are used.  
% For example, to display a toad in the correct corresponding location, its
% x coordinate is the column; while its y coordinate is SIDE + 1 - row.

global FENCED SIDE;

for i = 1:length(FENCED)
    rectangle('Position', ...
        [colLstAWP(FENCED(i)) - 0.5, SIDE + 1 - rowLstAWP(FENCED(i)) - 0.5, 1, 1], ...
        'EdgeColor', 'r', 'LineWidth',2);
end

end

