function aToad = thirsty( aToad )
%THIRSTY Manage very thirsty toad
%   aToad = thirsty( aToad ) changes state of a thirsty toad

global MOIST_AREA AWP MAY_HOP moisture;

if (moisture(aToad.row, aToad.col) < MOIST_AREA) % not found water or moist area
    aToad = lookForMoisture(aToad);
elseif (moisture(aToad.row, aToad.col) < AWP) % in moist area, not water
    aToad.numTimeSteps = aToad.numTimeSteps + 1; % increment number of steps in moist area
    % the longer in a moist area, the more likely to leave
    if 1/aToad.numTimeSteps < rand
        aToad.numTimeSteps = 0;  % leaving moist area
        aToad = lookForMoisture(aToad);
    end
end

end

